<?php
declare(strict_types=1);

namespace CatequilTest\ORM\InputFilter;

use Laminas\InputFilter\InputFilter;

/**
 * Class CustomInputFilter
 *
 * @package CatequilTest\ORM\InputFilter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/
 */
final class CustomInputFilter extends InputFilter
{
    public function init(): void
    {
        $this->add([
            'name' => 'id',
            'required' => false,
        ]);

        $this->add([
            'name' => 'name',
            'required' => true,
        ]);
    }
}
