<?php
declare(strict_types=1);

namespace CatequilTest\ORM\Repository;

use Doctrine\ORM\EntityRepository;
use Laminas\InputFilter\InputFilterAwareInterface;
use Laminas\InputFilter\InputFilterAwareTrait;

/**
 * Class CustomRepository
 *
 * @package CatequilTest\ORM\Repository
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/catequil-orm
 */
final class CustomRepository extends EntityRepository implements InputFilterAwareInterface
{
    use InputFilterAwareTrait;
}
